curl https://hapi.7331.org/v1/bot/users/123456789012345678 \
-H "X-API-Key: your-bot-api-key"
{
"discord_id": "123456789012345678",
"username": "exampleuser",
"avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/abc.png",
"subscription_tier": 0,
"state": 0,
"permission_level": 0,
"prefix": "!",
"last_activity_at": "2025-01-15T12:00:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
Bot-authenticated lookup of a user’s profile by Discord ID.
curl https://hapi.7331.org/v1/bot/users/123456789012345678 \
-H "X-API-Key: your-bot-api-key"
{
"discord_id": "123456789012345678",
"username": "exampleuser",
"avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/abc.png",
"subscription_tier": 0,
"state": 0,
"permission_level": 0,
"prefix": "!",
"last_activity_at": "2025-01-15T12:00:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
curl https://hapi.7331.org/v1/bot/users/123456789012345678 \
-H "X-API-Key: your-bot-api-key"
{
"discord_id": "123456789012345678",
"username": "exampleuser",
"avatar_url": "https://cdn.discordapp.com/avatars/123456789012345678/abc.png",
"subscription_tier": 0,
"state": 0,
"permission_level": 0,
"prefix": "!",
"last_activity_at": "2025-01-15T12:00:00Z",
"source": "database",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:00:00Z"
}
Was this page helpful?